Skip to content
Start here

Update TCP Flow Protection filter.

ddos_protection.advanced_tcp_protection.tcp_flow_protection.filters.items.edit(strfilter_id, ItemEditParams**kwargs) -> ItemEditResponse
PATCH/accounts/{account_id}/magic/advanced_tcp_protection/configs/tcp_flow_protection/filters/{filter_id}

Update a TCP Flow Protection filter specified by the given UUID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
filter_id: str

UUID.

maxLength36
expression: Optional[str]

The new filter expression. Optional.

mode: Optional[str]

The new mode for the filter. Optional. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

ReturnsExpand Collapse
class ItemEditResponse:
id: str

The unique ID of the expression filter.

created_on: datetime

The creation timestamp of the expression filter.

formatdate-time
expression: str

The filter expression.

mode: str

The filter’s mode. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

modified_on: datetime

The last modification timestamp of the expression filter.

formatdate-time

Update TCP Flow Protection filter.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.ddos_protection.advanced_tcp_protection.tcp_flow_protection.filters.items.edit(
    filter_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "created_on": "2019-12-27T18:11:19.117Z",
    "expression": "ip.dst in { 192.0.2.0/24 198.51.100.0/24 } and tcp.srcport in { 80 443 10000..65535 }",
    "mode": "mode",
    "modified_on": "2019-12-27T18:11:19.117Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "created_on": "2019-12-27T18:11:19.117Z",
    "expression": "ip.dst in { 192.0.2.0/24 198.51.100.0/24 } and tcp.srcport in { 80 443 10000..65535 }",
    "mode": "mode",
    "modified_on": "2019-12-27T18:11:19.117Z"
  }
}